# Place
Keywords: stratus

Subsections

- Name
- Synopsys
- Description
- Parameters
- Example
- Errors
- See Also

##
Place

### Name

Place - Places an instance

### Synopsys

    Place ( ins, sym, point )

### Description

Placement of an instance.
The instance has to be instantiated in the method `Netlist`, in order to use the `Place` function.

### Parameters

- `ins` : Instance to place.
- `sym` : Geometrical operation to be performed on the instance before beeing placed.
  The `sym` argument can take eight legal values :
  - `NOSYM` : no geometrical operation is performed
  - `SYM_Y` : Y becomes -Y, that means toward X axe symetry
  - `SYM_X` : X becomes -X, that means toward Y axe symetry
  - `SYMXY` : X becomes -X, Y becomes -Y
  - `ROT_P` : a positive 90 degrees rotation takes place
  - `ROT_M` : a negative 90 degrees rotation takes place
  - `SY_RP` : Y becomes -Y, and then a positive 90 degrees rotation takes place
  - `SY_RM` : Y becomes -Y, and then a negative 90 degrees rotation takes place
- `point` : coordinates of the lower left corner of the abutment box of the instance in the current figure.

### Example

    Place ( myInst, NOSYM, XY ( 0, 0 ) )

### Errors

Some errors may occur :

- `[Stratus ERROR] Placement : the instance doesn't exist.`
  The instance must be instanciated in order to be placed.
- `[Stratus ERROR] Placement : the first argument is not an instance.`
- `[Stratus ERROR] Placement : the instance is already placed.`
  One can not place an instance twice
- `[Stratus ERROR] Place : wrong argument for placement type.`
  The symetry given as argument is not correct.
- `[Stratus ERROR] Place : wrong argument for placement,`
  `the coordinates must be put in a XY object.`
  The coordinates are not descrobed the bood way.

### See Also

Introduction PlaceTop PlaceBottom PlaceRight PlaceLeft SetRefIns DefAb ResizeAb